> ## Documentation Index
> Fetch the complete documentation index at: https://jiffyscan.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Address Transactions

> Returns an array of internal + external transactions that the address has made



## OpenAPI

````yaml get /getAddressTransactions
openapi: 3.0.3
info:
  title: jiffyscan APIs
  version: '1.0'
  description: Gives a breif overview of all the jiffyscan APIs
  contact:
    email: aditya@jiffyscan.xyz
    name: Aditya
    url: https://jiffyscan.xyz
servers:
  - url: https://api.jiffyscan.xyz/v0
security: []
tags:
  - name: Supported Networks
    description: APIs for fetching supported network information
  - name: User Operations
    description: API's which can be used to fetch user operations done by entities
  - name: Bundler
    description: API's which can be used to fetch bundler related information
  - name: Account
    description: API's which can be used to fetch account related information
  - name: Factory
    description: API's which can be used to fetch factory related information
  - name: Metrics
    description: API's which can be used to fetch over all metrics of the ecosystem
paths:
  /getAddressTransactions:
    get:
      tags:
        - Account
      description: >-
        Returns an array of internal + external transactions that the address
        has made
      parameters:
        - name: address
          in: query
          required: true
          schema:
            type: string
        - name: network
          in: query
          schema:
            type: string
        - name: first
          in: query
          schema:
            type: string
        - name: skip
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                title: Transactions
                description: >-
                  An array of internal + external transactions that the address
                  has made
                items:
                  $ref: '#/components/schemas/Transaction'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Invalid API Key
        '502':
          description: Bad Gateway
        default:
          description: Success
      security:
        - BasicAuth: []
components:
  schemas:
    Transaction:
      type: object
      description: Transaction Object, could be internal or external
      properties:
        block_signed_at:
          type: string
          description: Block signed at
        block_height:
          type: number
          description: Block height
        tx_hash:
          type: string
          description: Hash of the transaction
        tx_offset:
          type: number
          description: Offset of the transaction
        successful:
          type: boolean
          description: If the transaction was successful
        from_address:
          type: string
          description: Address of the sender
        from_address_label:
          type: string
          description: Label of the sender
        to_address:
          type: string
          description: Address of the receiver
        to_address_label:
          type: string
          description: Label of the receiver
        value:
          type: string
          description: Value of the transaction
        value_quote:
          type: number
          description: Quote value of the transaction
        pretty_value_quote:
          type: string
          description: Pretty quote value of the transaction
        gas_offered:
          type: number
          description: Gas offered
        gas_spent:
          type: number
          description: Gas spent
        gas_price:
          type: number
          description: Gas price
        fees_paid:
          type: string
          description: Fees paid
        gas_quote:
          type: number
          description: Gas quote
        pretty_gas_quote:
          type: string
          description: Pretty gas quote
        gas_quote_rate:
          type: number
          description: Gas quote rate
  securitySchemes:
    BasicAuth:
      type: apiKey
      name: x-api-key
      in: header
      x-amazon-apigateway-authtype: custom
      x-amazon-apigateway-authorizer:
        type: request
        authorizerUri: >-
          arn:aws:apigateway:us-east-2:lambda:path/2015-03-31/functions/arn:aws:lambda:us-east-2:283541367427:function:test-jiffyscan-BasicAuthFunction-mMOdBhL8g93M/invocations
        authorizerResultTtlInSeconds: 300
        identitySource: method.request.header.x-api-key

````